#
# spec file for package mgetty (Version 1.1.8)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex netpbm libnetpb

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         mgetty
Release:      20
Copyright:    1993-1997 Gert Dring
Group: 
Provides:     mgetty 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.1.8
Summary:      mgetty
Source: mgetty-1.1.8.tar.gz
Patch: mgetty-1.1.8.dif
%description
This package turns your computer into a fax machine.
With a Zyxel modem, you can even use your computer as an
answering machine.
mgetty recognizes what kind of call it is receiving and does
everything else automatically. You will find the documentation under
/usr/doc/mgetty and TeX-Info files under /usr/info.
The configuration files are in /usr/lib/mgetty+sendfax and
/etc/mgetty+sendfax. 

Authors:
--------
    Gert Dring <gert@greenie.muc.de>

%package -n sendfax
Summary:      sendfax part of mgetty
Group:
%description -n sendfax
The sendfax part of mgetty.  The sources are included in mgetty source package.

Authors:
--------
    Gert Dring <gert@greenie.muc.de>

%prep
%setup
%patch
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
cp -a /usr/X11R6/bin/pbmtext /usr/bin/pbmtext
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /etc/mgetty+sendfax
%dir /usr/doc/packages/mgetty
%dir /usr/doc/packages/mgetty/voice
%dir /usr/doc/packages/mgetty/voice/scripts
%dir /var/spool/voice
%dir /var/spool/voice/incoming
%dir /var/spool/voice/messages
%config /etc/mgetty+sendfax/dialin.config
%config /etc/mgetty+sendfax/login.config
%config /etc/mgetty+sendfax/mgetty.config
%config /etc/mgetty+sendfax/voice.conf
/usr/bin/autopvf
/usr/bin/basictopvf
/usr/bin/g32pbm
/usr/bin/g3cat
/usr/bin/g3topbm
/usr/bin/lintopvf
/usr/bin/newslock
/usr/bin/pbm2g3
/usr/bin/pvfamp
/usr/bin/pvfcut
/usr/bin/pvfecho
/usr/bin/pvffft
/usr/bin/pvffile
/usr/bin/pvfmix
/usr/bin/pvfreverse
/usr/bin/pvfsine
/usr/bin/pvfspeed
/usr/bin/pvftoau
/usr/bin/pvftobasic
/usr/bin/pvftolin
/usr/bin/pvftormd
/usr/bin/pvftovoc
/usr/bin/pvftowav
/usr/bin/rmdfile
/usr/bin/rmdtopvf
/usr/bin/vm
/usr/bin/voctopvf
/usr/bin/wavtopvf
%doc /usr/doc/packages/mgetty/BUGS
%doc /usr/doc/packages/mgetty/FAQ
%doc /usr/doc/packages/mgetty/FTP
%doc /usr/doc/packages/mgetty/README.1st
%doc /usr/doc/packages/mgetty/THANKS
%doc /usr/doc/packages/mgetty/TODO
%doc /usr/doc/packages/mgetty/ttyS-cua.txt
%doc /usr/doc/packages/mgetty/voice/Announce
%doc /usr/doc/packages/mgetty/voice/Readme
%doc /usr/doc/packages/mgetty/voice/Readme.Beginners
%doc /usr/doc/packages/mgetty/voice/ToDo
%doc /usr/doc/packages/mgetty/voice/scripts/demo.sh
%doc /usr/doc/packages/mgetty/voice/scripts/dtmf.sh
%doc /usr/doc/packages/mgetty/voice/scripts/events.sh
%doc /usr/doc/packages/mgetty/voice/scripts/listen.sh
%doc /usr/doc/packages/mgetty/voice/scripts/message.sh
%doc /usr/doc/packages/mgetty/voice/scripts/rsynth-0.9.linuxA.pch
%doc /usr/doc/packages/mgetty/voice/scripts/speakdate.pl
%doc /usr/doc/packages/mgetty/voice/scripts/speakdate.sh
%doc /usr/doc/packages/mgetty/voice/scripts/vmtest.sh
%doc /usr/doc/packages/mgetty/voice/scripts/voice_mail.sh
%doc /usr/info/mgetty.info-1.gz
%doc /usr/info/mgetty.info-2.gz
%doc /usr/info/mgetty.info-3.gz
%doc /usr/info/mgetty.info-4.gz
%doc /usr/info/mgetty.info.gz
%doc /usr/man/man1/autopvf.1.gz
%doc /usr/man/man1/basictopvf.1.gz
%doc /usr/man/man1/coverpg.1.gz
%doc /usr/man/man1/g32pbm.1.gz
%doc /usr/man/man1/g3cat.1.gz
%doc /usr/man/man1/lintopvf.1.gz
%doc /usr/man/man1/pbm2g3.1.gz
%doc /usr/man/man1/pvf.1.gz
%doc /usr/man/man1/pvfamp.1.gz
%doc /usr/man/man1/pvfcut.1.gz
%doc /usr/man/man1/pvfecho.1.gz
%doc /usr/man/man1/pvffft.1.gz
%doc /usr/man/man1/pvffile.1.gz
%doc /usr/man/man1/pvfmix.1.gz
%doc /usr/man/man1/pvfreverse.1.gz
%doc /usr/man/man1/pvfsine.1.gz
%doc /usr/man/man1/pvfspeed.1.gz
%doc /usr/man/man1/pvftoau.1.gz
%doc /usr/man/man1/pvftobasic.1.gz
%doc /usr/man/man1/pvftolin.1.gz
%doc /usr/man/man1/pvftormd.1.gz
%doc /usr/man/man1/pvftovoc.1.gz
%doc /usr/man/man1/pvftowav.1.gz
%doc /usr/man/man1/rmdfile.1.gz
%doc /usr/man/man1/rmdtopvf.1.gz
%doc /usr/man/man1/voctopvf.1.gz
%doc /usr/man/man1/wavtopvf.1.gz
%doc /usr/man/man1/zplay.1.gz
%doc /usr/man/man4/mgettydefs.4.gz
%doc /usr/man/man8/callback.8.gz
%doc /usr/man/man8/mgetty.8.gz
/usr/sbin/mgetty
/usr/sbin/vgetty
%files -n sendfax
%dir /etc/mgetty+sendfax
%dir /usr/lib/mgetty+sendfax
%dir /var/spool/fax/incoming
%dir /var/spool/fax/outgoing
%dir /var/spool/fax/outgoing/locks
%config /etc/mgetty+sendfax/faxheader
%config /etc/mgetty+sendfax/faxrunq.config
%config /etc/mgetty+sendfax/sendfax.config
/usr/bin/faxq
/usr/bin/faxrm
/usr/bin/faxrunq
/usr/bin/faxspool
/usr/bin/pbmtext
/usr/sbin/faxrunqd
/usr/sbin/sendfax
/usr/lib/mgetty+sendfax/cour25.pbm
/usr/lib/mgetty+sendfax/cour25n.pbm
/usr/lib/mgetty+sendfax/new_fax
%doc /usr/man/man1/fax.1.gz
%doc /usr/man/man1/faxq.1.gz
%doc /usr/man/man1/faxrm.1.gz
%doc /usr/man/man1/faxrunq.1.gz
%doc /usr/man/man1/faxspool.1.gz
%doc /usr/man/man5/faxqueue.5.gz
%doc /usr/man/man8/sendfax.8.gz

